QGIS Application - Bug report #5203
Attribute editor can not insert numbers into fields of type numeric(precision, scale)
2012-03-19 07:13 AM - Gissur Pérhallsson

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:1.7.4 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14942
Description

If I have an attribute of type numeric (precision, scale) | can't insert a new field - simply put, no letters appear in the input box if the value is
null (even if there is a value to begin with, and | delete the text from the box - the box become unresponsive until | Crtl-Z back).

Steps to reproduce:

1. Create a postgis table with a nullable attribute of type numeric(precision, scale) (I used 24,0)
2. Open table for editing in qgis

3. Try to insert a new feature and set a value to the aforementioned qualified numeric attribute.

Expected result: The row is updated with your value.
What actually happens: You can't write anything in the input field.

A dirty work-around is to make attributes of this type default to zero or some other value.

Associated revisions

Revision 587b3382 - 2012-03-22 10:15 PM - Jiirgen Fischer

fix #5203

History

#1 - 2012-03-22 02:47 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"587b33821dde8343d188d5683d5b9e153528¢963".

Files

test_numeric_create_table.sql 595 Bytes 2012-03-19 Gissur Pérhallsson
